Nouveau crashes at login with Kernel 4.15.0-29 on MacBook Air, so no login screen in a normal sequence

Bug #1783957 reported by Anquietas on 2018-07-27
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Bionic
High
Unassigned
Cosmic
High
Unassigned

Bug Description

I have a MacBook Air laptop which is running Linux (Kubuntu 16.04.5 LTS) with NVidia Graphics Card, KDE, Xorg, SDDM, and so on... Clean and natural install, no funky custom kernel or drivers or anything...

Everything worked fine (with the 4.13.* kernel) until I've upgraded all my packages (which included the "wonderful" 4.15.0-29 kernel, which broke my system).

Now, everytime I try to boot normally, it asks me for my disk password (I have an encrypted LVM) and after that, guess what ?: blank screen. The login screen does not appear.
I can switch the Terminals with Ctrl+Alt+Fx, however.

However, the same kernel, if I boot it in recovery mode and then I select "Resume", the login screen appears, but it lags a little bit...

Needless to say, if I boot the older kernel (4.13), everything works perfectly.

I dug up some logs and found something like "sddm-greeter" segmentation fault in nouveau_dri.so or something like this.

So, it looks like the new kernel doesn't quite seem to look eye-to-eye with nouveau drivers...

And no, I don't want the NVidia proprietary drivers because I get along just perfectly with Nouveau on other machines, and I don't want to reinstall nvidia drivers everytime I'm upgrading the kernel.

And yes, I already have "haveged" installed, to provide sufficient entropy (I saw that the possible lack of entropy might be a problem in some cases)...

If I boot in recovery mode and then select "resume", everything works.

So, what is going on ?

Any help would be appreciated...

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3
ProcVersionSignature: Ubuntu 4.15.0-29.31~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-29-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
CurrentDesktop: KDE
Date: Fri Jul 27 10:40:31 2018
InstallationDate: Installed on 2018-07-04 (22 days ago)
InstallationMedia: Kubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 (20180228)
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)

Anquietas (e-admin-infosky-ro) wrote :
Daniel van Vugt (vanvugt) wrote :

Sounds like a kernel regression so reassigning there.

affects: xorg (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1783957

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Anquietas (e-admin-infosky-ro) wrote :

Yeah.

After installing apport-collect, when I try to run it:

ERROR: Could not import module, is a package upgrade in progress? Error: No module named PyQt5.QtCore

This is a 2-3 year old bug... it's still not fixed... should I have any hope for my bug ? :-)))

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18-rc6

Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
tags: added: kernel-da-key needs-bisect
Anquietas (e-admin-infosky-ro) wrote :

I've tested the new kernel, it doesn't work. It also hangs at the screen where the login screen should apperar.

However, not all the new kernel packages were installed. I've selected only for amd64 architecture, but at one particular package, the headers or something, it asked me for libssl1.1 which I do not have. Only libssl1.0.

I purged the new kernel as this is a production machine and this is not a solution.

So the conclusion is that the problem is still present in the 4.18 rc7 kernel.

I really think that the Nouveau drivers will have to adapt to the new kernel...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in linux (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Anquietas (e-admin-infosky-ro) wrote :

I'm sorry, but it is not possible for me to do this.

I already installed the new kernel a few days ago, just for testing purposes, and I had a couple of crashes or other inconsistencies, I barely got out of it.

This is a production computer, I cannot play with the packages as I please.

I already told my problem to you, exposed it here, now, it's out of my hands.
I cannot dedicate time to God knows how many kernel.org format reports, and so on...

Please try to understand, no offense intended, but we are a production environment, things just need to work.
No time to compose elaborate bug reports many times and many places...

Please, be so kind, if you can, you or the community, report it to the upstream.

In the mean time I am using the computer in "recovery" graphics mode.

Thank you.

Anquietas (e-admin-infosky-ro) wrote :

Well, what is the situation ? I really need this bug fixed !!!

This morning I had to make a Presentation on a Projector in front of a couple of people.

Since I am running in "recovery mode" with no Video Drivers loaded (lshw -c video -> Display: UNCLAIMED), the system didn't detect my secondary monitor.

When should be expect a fix on this bug ?
It's urgent !
We like this OS because it's great, opensource, free, and secure, but this problem is really annoying.

Thank you !

Kai-Heng Feng (kaihengfeng) wrote :

Can you attach dmesg under latest mainline kernel?

Anquietas (e-admin-infosky-ro) wrote :

No, again, I am sorry, I cannot do that.

I purged the new kernel right after testing because it wasn't installed properly and it got me all kind of problems.

This is a production computer, I barely got out of the problem by reverting to the original kernel and purging the new one.

I am using 4.15.0-29-generic and only the stable tested kernel which get in the repos.

Please find another way to test the problem.

Anquietas (e-admin-infosky-ro) wrote :

Well ? What is the situation ?

This morning, I had a Kernel and Xorg update. Kernel: 4.15.0-30 and Xorg 1:7.7

I really hoped that this will solve our problem, but it did not ! why ?

The same problem: "sddm-greeter[1161]: segfault at 1a ip 00007fc9325a7179 sp 00007fff62927ba0 error 4 in nouveau_dri.so[7fc932360000+ac2000]"

When should we expect a fix on this ?

With respect, if nobody can fix this, we'll have to change OS, back to Apple's IOS or Microsoft Windows. We cannot stay a dozen of days without this being fixed !

We love the opensource world because it claims the community fixes the bugs more rapidly than a commercial operating system (operated by a single company), however, it seems that this is not the case.

Expected time to fix this bug ... ?
It was started in July 27, now is August 07... seriously... for a production computer it is valuable time lost !

Anquietas (e-admin-infosky-ro) wrote :

???

Anquietas (e-admin-infosky-ro) wrote :

I've upgraded my system to Bionic: 18.04.1.

The problem still exists, however it has a different behaviour now: I have a mouse cursor :-)

From what I have seen, this bug is not yet Assigned. When will it be assigned ?

Anquietas (e-admin-infosky-ro) wrote :

???????????????????????????????? is anyone alive here ??? or should I just give up on everything ?

Anquietas (e-admin-infosky-ro) wrote :
Download full text (8.3 KiB)

one last thing I can give you:

A coredump:

           PID: 1066 (sddm-greeter)
           UID: 118 (sddm)
           GID: 126 (sddm)
        Signal: 11 (SEGV)
     Timestamp: Fri 2018-08-17 10:58:44 EEST (4min 40s ago)
  Command Line: /usr/bin/sddm-greeter --socket /tmp/sddm-:0-OglRQe --theme /usr/share/sddm/themes/breeze
    Executable: /usr/bin/sddm-greeter
 Control Group: /user.slice/user-118.slice/session-1.scope
          Unit: session-1.scope
         Slice: user-118.slice
       Session: 1
     Owner UID: 118 (sddm)
       Boot ID: 581e1a9cb9954ea3a7d3f113c2319d64
    Machine ID: 22374589e49642888b947732702d7902
      Hostname: itlap
       Storage: /var/lib/systemd/coredump/core.sddm-greeter.118.581e1a9cb9954ea3a7d3f113c2319d64.1066.1534492724000000.lz4
       Message: Process 1066 (sddm-greeter) of user 118 dumped core.

                Stack trace of thread 1066:
                #0 0x00007f93fb36d6ce n/a (nouveau_dri.so)
                #1 0x00007f93fb36c1f9 n/a (nouveau_dri.so)
                #2 0x00007f93fb374404 n/a (nouveau_dri.so)
                #3 0x00007f940fd53f88 _ZN16QSGBatchRenderer8Renderer13renderBatchesEv (libQt5Quick.so.5)
                #4 0x00007f940fd5985e _ZN16QSGBatchRenderer8Renderer6renderEv (libQt5Quick.so.5)
                #5 0x00007f940fd4a2a0 _ZN11QSGRenderer11renderSceneERK11QSGBindable (libQt5Quick.so.5)
                #6 0x00007f940fd4a75b _ZN11QSGRenderer11renderSceneEj (libQt5Quick.so.5)
                #7 0x00007f940fd84990 _ZN23QSGDefaultRenderContext15renderNextFrameEP11QSGRendererj (libQt5Quick.so.5)
                #8 0x00007f940fde2a08 _ZN19QQuickWindowPrivate16renderSceneGraphERK5QSize (libQt5Quick.so.5)
                #9 0x00007f940fd76ec9 n/a (libQt5Quick.so.5)
                #10 0x00007f940fd77eaa n/a (libQt5Quick.so.5)
                #11 0x00007f940e53f375 _ZN7QWindow5eventEP6QEvent (libQt5Gui.so.5)
                #12 0x00007f940fdec565 _ZN12QQuickWindow5eventEP6QEvent (libQt5Quick.so.5)
                #13 0x00007f940df7183a _ZN16QCoreApplication6notifyEP7QObjectP6QEvent (libQt5Core.so.5)
                #14 0x00007f940df719a8 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                #15 0x00007f940e53443f _ZN22QGuiApplicationPrivate18processExposeEventEPN29QWindowSystemInterfacePrivate11ExposeEventE (libQt5Gui.so.5)
                #16 0x00007f940e53507d _ZN22QGuiApplicationPrivate24processWindowSystemEventEPN29QWindowSystemInterfacePrivate17WindowSystemEventE (libQt5Gui.so.5)
                #17 0x00007f940e50c2eb _ZN22QWindowSystemInterface22sendWindowSystemEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Gui.so.5)
                #18 0x00007f94066d81c0 n/a (libQt5XcbQpa.so.5)
                #19 0x00007f940a774287 g_main_context_dispatch (libglib-2.0.so.0)
                #20 0x00007f940a7744c0 n/a (libglib-2.0.so.0)
                #21 0x00007f940a77454c g_main_context_iteration (libglib-2.0.so.0)
                #22 0x00007f940dfca8ef _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #23 0x00007f940df6f9ea _ZN10QEventLoop4execE6QFlagsINS_17...

Read more...

Anquietas (e-admin-infosky-ro) wrote :

?????????????????????????????????

Anquietas (e-admin-infosky-ro) wrote :

I will start a new bug report, as nobody cares with this bug, I see.

Opensource community fixing bugs more rapidly than commercial software companies ? I'll think again about that one.

Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the last kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v4.13 Final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13/
v4.14-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14-rc1/
v4.14 Final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14/
v4.15 Final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

Changed in linux (Ubuntu Bionic):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Cosmic):
assignee: nobody → Joseph Salisbury (jsalisbury)
Anquietas (e-admin-infosky-ro) wrote :
Download full text (4.4 KiB)

I can confirm the following:

I had to revert to: 4.13.16-041316-generic and it works great with this kernel !
I'll stick with this kernel until the problem gets solved.

However, from 4.15.* it seems like it doesn't work (with the kernels I tested).

I also tested with "linux-image-unsigned-4.18.5-041805-generic" (upstream) and it still doesn't work, and when I installed it, it complains about "possible not finding firmware /lib/nvidia.... for nouveau". (see below)

Code:
update-initramfs: Generating /boot/initrd.img-4.18.5-041805-generic
W: Possible missing firmware /lib/firmware/nvidia/gv100/sec2/sig.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/sec2/image.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/sec2/desc.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/nvdec/scrubber.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/sw_method_init.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/sw_bundle_init.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/sw_nonctx.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/sw_ctx.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/gpccs_sig.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/gpccs_data.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/gpccs_inst.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/gpccs_bl.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/fecs_sig.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/fecs_data.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/fecs_inst.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/gr/fecs_bl.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/acr/ucode_unload.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/acr/ucode_load.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/acr/unload_bl.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gv100/acr/bl.bin for module nouveau

DMESG from this kernel:

[ 3.123458] nouveau 0000:02:00.0: enabling device (0006 -> 0007)
[ 3.124175] fb: switching to nouveaufb from EFI VGA
[ 3.124515] nouveau 0000:02:00.0: NVIDIA MCP89 (0af100a2)
[ 3.140564] nouveau 0000:02:00.0: bios: version 70.89.13.00.00
[ 3.163102] nouveau 0000:02:00.0: fb: 256 MiB stolen system memory
[ 3.329183] nouveau 0000:02:00.0: bus: MMIO write of 0000807e FAULT at 100c1c
[ 4.668287] nouveau 0000:02:00.0: DRM: VRAM: 256 MiB
[ 4.668290] nouveau 0000:02:00.0: DRM: GART: 1048576 MiB
[ 4.668297] nouveau 0000:02:00.0: DRM: TMDS table version 2.0
[ 4.668300] nouveau 0000:02:00.0: DRM: DCB version 4.0
[ 4.668305] nouveau 0000:02:00.0: DRM: DCB outp 00: 040001b6 0f220010
[ 4.668309] nouveau 0000:02:00.0: DRM: DCB outp 01: 020112a6 0f220010
[ ...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Just to confirm:

v4.13 Final is GOOD: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13/
v4.14-rc1 is BAD and has the bug: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14-rc1/

Anquietas (e-admin-infosky-ro) wrote :

v4.13 Final is GOOD

v4.14-rc1 is also GOOD (a little screen flickering, but that is acceptable)

v4.15, however, doesn't work.

Joseph Salisbury (jsalisbury) wrote :

Can you give v4.15-rc1 a try and see if it has the bug:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15-rc1/

Anquietas (e-admin-infosky-ro) wrote :

Yes. The system crashes with this version. It no longer works with 4.15-rc1.

Joseph Salisbury (jsalisbury) wrote :

Before starting the bisect, just one last kernel to confirm:

v4.14 Final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14/

If v4.14 Final is GOOD, I'll start a bisect between v4.14 and v4.15-rc1.

Anquietas (e-admin-infosky-ro) wrote :

Yes. The latest v4.14 also works great !!! I have nouveau drivers loaded and working perfectly.

In fact, I am running it now: "4.14.0-041400-generic" and I shall stay on this kernel (the latest kernel which works decently for me).

But the first kernel of the 4.15 series does not work anymore.

So, the problem lies between last kernel of 4.14 and first kernel of 4.15.

I will stay on this kernel, for now: "4.14.0-041400-generic" , until the problem gets solved.

And further more, as I tested the 4.18 and did not work, I can only conclude that the problem evolves right up to v4.18 if not beyond....

Joseph Salisbury (jsalisbury) wrote :

There are many nouveau commits that were introduced in v4.15-rc1, so we need to perform a bisect to identify the specific one that caused this regression.

I started a kernel bisect between v4.14 final and v4.15-rc1. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
1be2172e96e33bfa22a5c7a651f768ef30ce3984

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

Well, it's strange...

The kernel you provided me works, but only half of it.

If I boot the above kernel it gives me the login screen, so it loads the driver correctly (I assume), but the laptop immediately freezes and I cannot do anything on it (I assume it kernel panics somewhere).
I have to make a hard shutdown using the power button and restart the computer.

Look, I am going on vacation now, I will not have the time, nor the resources to inspect this further, and quite frankly I don't want to mess up any more test kernels.

I left the 4.15.0-33 kernel, the latest stable kernel from Ubuntu and I instructed the people using it to add the "nomodeset" parameter to boot without loading Nouveau, but this is NOT a solution !

I helped you as much as I could.
Please analyze those nouveau commits. I am pretty sure the key to this problem is somewhere there, in those nouveau kernel modifs.

Thank you ! See you in 2 weeks.

Anquietas (e-admin-infosky-ro) wrote :

Well ? I'm back ! Any progress ?

Anquietas (e-admin-infosky-ro) wrote :

?????????

Joseph Salisbury (jsalisbury) wrote :

Based on you're test results posted in comment #28, I built the next test kernel, up to the following commit:
8c609698569578913ad40bb160b97c3f6cfa15ec

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

I've already testest that kernel.

It doesn't work. (linux-image-unsigned-4.14.0-041400-generic_4.14.0-041400.201809190746_amd64.deb)

And the generic 4.15.0-33 also doesn't work (tested with the official ubuntu kernel, not the one on the website).

Joseph Salisbury (jsalisbury) wrote :

When you say you 'already' tested that kernel, do you mean you already tested it before I posted it in comment #31? The kernel name might look similar to a prior kernel, but there is a unique date stamp in the name, '201809190746' in the latest test kernel.

Anquietas (e-admin-infosky-ro) wrote :

Sorry. I didn't noticed that.

OK, tested with this latest kernel "201809190746".

It crashes with Console Message:

"nouveau fb: trapped write at <>" something like this... and I never get the Login Screen and the whole thing freezes...

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
f150891fd9878ef0d9197c4e8451ce67c3bdd014

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

Same problem.

Console Error: "nouveau: fb: trapped write at ... on channel ... engine ... client ... VRAM_LIMIT"

No login screen and freezing of laptop in console state.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
a2fc4bd61e7ec3bb1f7c8b3d47272be813f88aea

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

It still freezes, and I don't get the login screen.

However, the message is different now: "nouveau bus MMIO write of ... FAULT at ..."

Anquietas (e-admin-infosky-ro) wrote :

Well ?...

Seriously, this bug is quite old now...

Should I just say goodbye to ever being able to use my video card driver on my laptop ?

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
754270c7c56292e97d0eff924a5d5d83f92add07

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

It still freezes, and I don't get the login screen.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
b05720cbf6458450700d1c3e91d2b2620b4f6295

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

This kernel works !

It has loaded novueau and I got the graphical interface and login screen.

"lshw -c video" reveals the fact that the driver in use is claimed, and is Nouveau.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
29baa82aa55f40d67cfc8138c944fd8880c27e8e

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

Not working

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
34cc0aa2545603560c79aaea3340d8ff3a71bd10

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1783957

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Anquietas (e-admin-infosky-ro) wrote :

There is nothing there. No files in that folder (URL).

Also, please, it's really enough with testing kernels... how many more are there ???

I understand that you need to track down the problem but it's pretty obvious where it is... it's somewhere betweeb 4.13 and 4.14....

Let's find a solution, ok ? this bug is more than 2 months old already... seriously... it's embarrassing...

Changed in linux (Ubuntu Bionic):
assignee: Joseph Salisbury (jsalisbury) → nobody
Changed in linux (Ubuntu Cosmic):
assignee: Joseph Salisbury (jsalisbury) → nobody
tags: removed: kernel-da-key
Anquietas (e-admin-infosky-ro) wrote :

Well ? What should I understand from what you just did ?

You are no longer committed to fix this bug ?

OK, I'll report this bug 10 times over, until someone helps me.

Shahar Or (mightyiam) wrote :

Hey, I've just upgraded from bionic to cosmic and I seem to be hit by this. Perhaps. What I experience is that while I have an encrypted root, with the cosmic kernel I don't get a chance to input my passphrase.

Anything I can do to help debug this? I'm a web developer. I can use git bisect.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers